summaryrefslogtreecommitdiff
path: root/app/tools/oldscripts/fetchall
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2016-12-28 16:52:56 +0100
committerJörg Frings-Fürst <debian@jff-webhosting.net>2016-12-28 16:52:56 +0100
commit7b358424ebad9349421acd533c2fa1cbf6cf3e3e (patch)
tree686678532eefed525c242fd214d0cfb2914726c5 /app/tools/oldscripts/fetchall
Initial import of xtrkcad version 1:4.0.2-2
Diffstat (limited to 'app/tools/oldscripts/fetchall')
-rw-r--r--app/tools/oldscripts/fetchall46
1 files changed, 46 insertions, 0 deletions
diff --git a/app/tools/oldscripts/fetchall b/app/tools/oldscripts/fetchall
new file mode 100644
index 0000000..5a88f73
--- /dev/null
+++ b/app/tools/oldscripts/fetchall
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+fetchdir() {
+ echo fetching $1
+ mkdir $1
+ ( cd $1; ln -s ../$2/src/$1/RCS . ; co -r$RLSE Makefile ; co -r$RLSE `make rcssrc` )
+}
+
+if [ $# -lt 1 ] ; then
+ echo fetchall RLSE
+ exit 1
+fi
+RLSE=$1
+if [ -d ~/xtrkcad/$RLSE ] ; then
+ echo ~/xtrkcad/$RLSE exists
+ exit 1
+fi
+if [ -d ~/wlib/$RLSE ] ; then
+ echo ~/wlib/$RLSE exists
+ exit 1
+fi
+
+mkdir ~/xtrkcad/$RLSE
+cd ~/xtrkcad/$RLSE
+fetchdir bin ..
+fetchdir help ..
+fetchdir lib ..
+fetchdir lib/demos ../..
+fetchdir lib/examples ../..
+fetchdir lib/params ../..
+fetchdir tools ..
+mkdir ~/wlib/$RLSE
+cd ~/wlib/$RLSE
+fetchdir include ..
+fetchdir mswlib ..
+fetchdir test ..
+fetchdir gtklib ..
+
+mkdir ~/xtrkcad/$RLSE/help/images.orig
+cp ~/xtrkcad/dev/help/images.orig/*.png ~/xtrkcad/$RLSE/help/images.orig
+cp ~/xtrkcad/dev/bin/xtrkcad.ico ~/xtrkcad/$RLSE/bin/
+cp ~/xtrkcad/dev/lib/register.* ~/xtrkcad/$RLSE/lib/
+chmod 444 ~/xtrkcad/$RLSE/lib/register.*
+cp ~/wlib/dev/test/wtest.ico ~/wlib/$RLSE/test/
+ln -s ~/wlib/$RLSE ~/xtrkcad/$RLSE/bin/wlib
+